<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.graph.Graph Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>graph</b>.<a class="el" href="classtiovx_1_1graph_1_1Graph.html">Graph</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.graph.Graph Class Reference<br/>
<small>
[<a class="el" href="group__FRAMEWORK.html">3: Framework Object APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::graph::Graph" --><!-- doxytag: inherits="Reference" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><a class="el" href="classtiovx_1_1graph_1_1Graph.html" title="Graph object (OpenVX equivalent = vx_graph).">Graph</a> object (OpenVX equivalent = vx_graph). </p>
<dl class="user"><dt><b>Example Usage: Create a graph and add nodes to it</b></dt><dd></dd></dl>
<div class="fragment"><pre class="fragment"> <span class="keyword">from</span> tiovx <span class="keyword">import</span> *

 my_context = Context(<span class="stringliteral">&quot;my_context_name&quot;</span>)

 my_graph = Graph(<span class="stringliteral">&quot;mygraph&quot;</span>)

 my_context.add(my_graph)

 my_graph.add(my_node)
 my_graph.add(my_node)
</pre></div> 
<p><a href="classtiovx_1_1graph_1_1Graph-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1graph_1_1Graph.html#a90ee28550b9e58728f46ebcb713bc65d">__init__</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor used to create this object.  <a href="#a90ee28550b9e58728f46ebcb713bc65d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1graph_1_1Graph.html#a020bb0203dd00377d2b5cd947c697424">add</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add node object to graph.  <a href="#a020bb0203dd00377d2b5cd947c697424"></a><br/></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a90ee28550b9e58728f46ebcb713bc65d"></a><!-- doxytag: member="tiovx::graph::Graph::__init__" ref="a90ee28550b9e58728f46ebcb713bc65d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.graph.Graph.__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>name</em> = <code>&quot;default&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor used to create this object. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>[in] Name to assign to this context </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a020bb0203dd00377d2b5cd947c697424"></a><!-- doxytag: member="tiovx::graph::Graph::add" ref="a020bb0203dd00377d2b5cd947c697424" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.graph.Graph.add </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>node</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add node object to graph. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>ref</em>&nbsp;</td><td>[in] Object of type Node </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
